<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
<!--	FORMULARIOS-->
	<form-beans>
		<form-bean name="w83bFormComIncidencias" type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bComunicacionesBean" type="w83b.w83bBeans.W83bComunicacionesBean"/>
		</form-bean>
		<!--	CONTEXTOS-->
		<form-bean	name="contextoOP" type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormMenuListado[w83bListadosBean],w83bFormListadoEmpresaVariosPreavisos[w83bListadosBean],w83bFormListadoLibroRegistro[w83bListadosBean],w83bFormListadoRelAlfPreavisos[w83bListadosBean]"/>
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.informes"/>				   
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.herramientas.listados"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="migas" type="java.lang.String" initial="inicio.informes.listados"/>
				<form-property name="w83bComunicacionesBean" type="w83b.w83bBeans.W83bComunicacionesBean"/>
				<form-property name="w83bResultadoBean" type="java.util.List"/>
				<form-property name="w83bResultado" type="java.lang.String"/>
				<form-property name="generarRtf" type="java.util.HashMap"/>
				<form-property name="documento" type="java.util.List"/>
				<form-property name="w83bListaInd" type="java.util.List"/>
				<form-property name="tamParcial" type="java.lang.String"/>
				<form-property name="w83bNombresPlantilla" type="java.util.List"/>
				<form-property name="w83bPlantillasMap" type="java.util.HashMap"/>
				<form-property name="w83bCentroTrabajoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>				
				<form-property name="w83bCentroTrabajoNuevoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="subOpFlag" type="java.lang.String" initial="certificaciones"/>
				<form-property name="w83bListaCentroTrabajo" type="java.util.List"/>
				<form-property name="w83bprovinciac" type="java.lang.String"/>
				<form-property name="w83bmunicipioc" type="java.lang.String" />
				<form-property name="numIncidenciasGenerarComunic" type="java.lang.Integer"/>
				<form-property name="envioCorrespondenciaErrores" type="java.lang.String"/>
				<form-property name="w83blistaComunicacionesAcuse" type="java.util.List"/>
		</form-bean>
	</form-beans>
<!--	ACTIONS-->
		<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
		
		<action path ="/w83bInicioIncidencias" forward="/w83bPaginaInicioIncidenciasMedio.do"/>
		<action path ="/w83bPaginaInicioIncidenciasFinal" forward="paginaIncidenciasCom"/>
		<action path ="/w83bInicioComunicaciones" forward="/w83bInicioComunicacionesMedio.do"/>
		<action path ="/w83bInicioComunicacionesFinal" forward="paginaInicioComunicaciones"/>
		
<!--	DISPATCHES-->
<action
				path="/w83bDispatchComIncidencias"
				name="w83bFormComIncidencias"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioComunicaciones.do"/>
				<forward
					name="rtfAcuses"
					path="/w83bRtfAcuses.do"/>
				<forward
					name="rtfAcusesRelacion"
					path="/w83bRtfAcusesRelacion.do"/>
				<forward
					name="rtfEtiquetas"
					path="/w83bRtfEtiquetas.do"/>
				<forward
					name="rtfCarpeta"
					path="/w83bRtfCarpeta.do"/>
				<forward
					name="rtfCarta"
					path="/w83bRtfCarta.do"/>
				<forward
					name="comunicacionDef"
					path="/w83bRtfComunicacionDef.do"/>
		</action>
		<action path="/w83bInicioComunicacionesMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bPaginaInicioComunicOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioComunicacionesFinal.do"/>
			<forward name="error" path="/w83bInicioComunicaciones.do"/>
		</action>
		<action path="/w83bPaginaInicioIncidenciasMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bTablaInicioIncidenciasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarPlantillaRTFComunicIncidenciasOI.do"/>
			<forward name="error" path="/w83bInicioComunicaciones.do"/>
		</action>
		
		<action path ="/w83bCargarPlantillaRTFComunicIncidenciasOI" 
			 parameter="w83bCargarPlantillaRTFComunicIncidenciasOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bRefrescarUsuario.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		<action path ="/w83bRefrescarUsuario" 
			 parameter="w83bRefrescarUsuarioDelegacionOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bPaginaInicioIncidenciasFinal.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		<action path="/w83bGenerarComunicIncidenciasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarComunicIncidenciasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bGenerarComunicIncidenciasOI.do"/>
			<forward name="error" path="/w83bInicioComunicaciones.do"/>
		</action>
		<action path ="/w83bGenerarComunicIncidenciasOI" 
			 parameter="w83bGenerarComunicIncidenciasOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bGenerarComunicIncidenciasOutOP.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		<action path="/w83bGenerarComunicIncidenciasOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarComunicIncidenciasOutOPAction" 
			 validate="false">
			   
		</action>
		<action path="/w83bRtfComunicacion" 
		name="w83bFormComIncidencias" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfComunicCartaIncAction" 
			 validate="false">
			 <forward name="ok" path="/w83bInsertarComunicIndOI.do" />
			 <forward name="fin" path="/w83bGenerarComunicIncDef.do" />
			 <forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		<action path="/w83bGenerarComunicIncDef" 
		name="w83bFormComIncidencias" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarComunicPreavisosDefOutOPAction" 
			 validate="false">
		</action>
		<action path ="/w83bInsertarComunicIndOI" 
			 parameter="w83bInsertarComunicIndOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bRtfComunicacionOut.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		<action path="/w83bRtfComunicacionOut" 
		name="w83bFormComIncidencias" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfComunicacionOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bRtfComunicacionDef" 
		name="w83bFormComIncidencias" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfComunicDefAction" 
			 validate="false">
		</action>
			<action path="/w83bTablaCertificacionesCentroTrabajoOP" 
		scope="request" type="w83b.w83bOperacionesPaso.w83bCertificaciones.W83bTablaCertificacionesCentroTrabajoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCertificacionesBusqCentroTrabajo.do"/>
		</action>
		
		 <action path ="/w83bCertificacionesBusqCentroTrabajo" 
			 parameter="w83bCertificacionesBusqCentroTrabajoOI" 
			 validate="false" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaCertificacionesCentroTrabajoOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaCentroTrabajo.do" />
		</action>
		<action path="/w83bInicioBusquedaCentroTrabajo" 
			 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bInicioBusquedaCentroTrabajoAction" 
			 validate="false">
		</action>
		<action path="/w83bTablaCertificacionesCentroTrabajoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bCertificaciones.W83bTablaCertificacionesCentroTrabajoOutOPAction" 
			 validate="false">
		</action>
		<action
				path="/w83bDispatchCentroTrabajoAtras"
				scope="request"
				parameter="subOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="centroTrabajo"
					path="/w83bReturnNullOP.do"/>
				<forward
					name="certificaciones"
					path="/w83bReturnNullOP.do"/>
					
							
		</action>
		<action path="/w83bReturnNullOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComun.W83bReturnNullAction" 
			 validate="false">
		</action>
		<action path="/w83bRtfAcuses" 
		name="w83bFormComIncidencias" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfAcusesAction" 
			 validate="false">
		</action>
		<action path="/w83bRtfAcusesRelacion" 
		name="w83bFormComIncidencias" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfAcusesRelacionAction" 
			 validate="false">
		</action>
		<action path="/w83bRtfEtiquetas" 
		name="w83bFormComIncidencias" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfEtiquetasAction" 
			 validate="false">
		</action>	
		<action path="/w83bRtfCarpeta" 
		name="w83bFormComIncidencias" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfCarpetaAction" 
			 validate="false">
		</action>	
		<action path="/w83bIrPaginaBienvenida" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action>
		<action path="/w83bIraCentrosTrabajoSubOp" parameter="/centroTrabajoOP/w83bSubOpCentroTrabajoInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/comunicIncidenciasOP/w83bDispatchCentroTrabajoAtras.do" />
		</action>
		
		<!-- ************************************************************************************************************************************* -->
		<!-- ************************************************INICIO ENVIO DE CORRESPONDENCIA****************************************************** -->
		<!-- ************************************************************************************************************************************* -->
		<!-- Calcular número de comunicaciones se van a enviar a correspondencia -->
		<action path="/w83bnumIncidenciasGenerarComunicOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarComunicIncidenciasOPAction" validate="false">
			<forward name="ok" path="/w83bnumIncidenciasGenerarComunicOI.do"/>
			<forward name="error" path="/w83bInicioComunicaciones.do"/>
		</action>
		

		<action path ="/w83bnumIncidenciasGenerarComunicOI" 
			 parameter="w83bnumIncidenciasGenerarComunicOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bnumIncidenciasGenerarComunicOUT.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		<action path="/w83bnumIncidenciasGenerarComunicOUT" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bnumIncidenciasGenerarComunicOUTAction" 
			 validate="false">
				<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		
		<!-- Recogemos y guardamos los datos de pantalla -->
		<action path="/w83bEnvioCorrespondenciaIncidenciasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarComunicIncidenciasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBuscaIncidenciasEnvioCorrespondenciaOI.do"/>
			<forward name="error" path="/w83bInicioComunicaciones.do"/>
		</action>
		
		
		<action path ="/w83bBuscaIncidenciasEnvioCorrespondenciaOI" 
			 parameter="w83bBuscaIncidenciasEnvioCorrespondenciaOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bEnvioCorrespondenciaIncidenciasLlamadaWS.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		<!-- Llamamos al webservice de aa66  -->
		<action path="/w83bEnvioCorrespondenciaIncidenciasLlamadaWS" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bEnvioCorrespondenciaIncidenciasLlamadaWSOPAction" 
			 validate="false">
			 	<forward name="ok" path="/w83bActualizarDatosAcusesComunicacionIncidenciasOI.do" />
				<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		<!-- Actualizamos los datos de la comunicación con los recibidos de acuses de recibos -->
		<action path ="/w83bActualizarDatosAcusesComunicacionIncidenciasOI" 
			 parameter="w83bActualizarDatosAcusesComunicacionIncidenciasOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bEnvioCorrespondenciaIncidenciasOUT.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		<action path="/w83bEnvioCorrespondenciaIncidenciasOUT" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bEnvioCorrespondenciaRespuestaOutOPAction" 
			 validate="false">
				<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		
		<!-- ************************************************************************************************************************************* -->
		<!-- ************************************************FIN ENVIO DE CORRESPONDENCIA********************************************************* -->
		<!-- ************************************************************************************************************************************* -->
		
		
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/informes/validation-informes.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>